Name:		biosdevname
Version:	0.6.2
Release:	%mkrel 1
Summary:	Udev helper for naming devices per BIOS names
Group:		System/Base
License:	GPLv2
URL:		http://linux.dell.com/files/biosdevname
# SMBIOS only exists on these arches.  It's also likely that other
# arches don't expect the PCI bus to be sorted breadth-first, or of
# so, there haven't been any comments about that on LKML.
ExclusiveArch:	%{ix86} x86_64 ia64
Source0:	http://linux.dell.com/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(libpci)
BuildRequires:	zlib-devel
BuildRequires:	udev
Requires:	udev

%description
biosdevname in its simplest form takes a kernel device name as an
argument, and returns the BIOS-given name it "should" be.  This is necessary
on systems where the BIOS name for a given device (e.g. the label on
the chassis is "Gb1") doesn't map directly and obviously to the kernel
name (e.g. eth0).

%prep
%autosetup -p1

%build
%configure2_5x

%make

%install
%makeinstall_std install-data

%files
%doc COPYING README
%{_sbindir}/%{name}
/lib/udev/rules.d/71-biosdevname.rules
%{_mandir}/man1/%{name}.1*


%changelog
* Thu May 26 2016 tv <tv> 0.6.2-1.mga6
+ Revision: 1018660
- new release
- drop merged patch
- fix URL
- use std sbin macro

* Tue Feb 02 2016 pterjan <pterjan> 0.5.0-5.mga6
+ Revision: 932683
- Add missing ExclusiveArch

* Tue Feb 02 2016 umeabot <umeabot> 0.5.0-4.mga6
+ Revision: 932161
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 739503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-2.mga5
+ Revision: 678157
- Mageia 5 Mass Rebuild

* Fri Mar 07 2014 tv <tv> 0.5.0-1.mga5
+ Revision: 600932
- new release
- patch1: match network interfaces named other than ethX (FC)

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-3.mga4
+ Revision: 503082
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 346906
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 shlomif <shlomif> 0.4.1-1.mga3
+ Revision: 276750
- Add mkrel
- imported package biosdevname

